/*
 * include/f32xbase/usb.h - Common USB code for F32Xbase tools
 *
 * Written 2008-2010 by Werner Almesberger
 * Copyright 2008-2010 Werner Almesberger
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */


#ifndef F32XBASE_USB_H
#define F32XBASE_USB_H

#include <stdint.h>
#include <usb.h>


usb_dev_handle *open_usb(uint16_t default_vendor, uint16_t default_product);
void parse_usb_id(const char *id);

#endif /* !F32XBASE_USB_H */
